Page MenuHomePhabricator

Fix issues because of early-expanded arguments
Closed, ResolvedPublicBUG REPORT

Description

Some extensions, as Variables, do some actions in wikitext that affect more than than the given wikitext snippet. This can lead to unexpected behavior if code paths are expanded even though they aren't used, as happening in the #varexists function. This is inconsistent considering the behavior of ParserFunctions and #var default values.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2018, 10:26 PM
MGChecker updated the task description. (Show Details)

Made a mistake while testing.

It's really easy to fix this, I actually did it on the fly to improve the efficiency of the function. However, this is a very little breaking change, so I'll increment the version number.

MGChecker triaged this task as High priority.Aug 24 2018, 1:33 AM

Change 455174 had a related patch set uploaded (by MGChecker; owner: MGChecker):
[mediawiki/extensions/Variables@master] Fix varexists parsing and improve documentation

https://gerrit.wikimedia.org/r/455174

Change 455174 merged by jenkins-bot:
[mediawiki/extensions/Variables@master] Fix varexists parsing and improve documentation

https://gerrit.wikimedia.org/r/455174

MGChecker closed this task as Resolved.Aug 31 2018, 8:05 PM
MGChecker removed a project: Patch-For-Review.
MGChecker changed the subtype of this task from "Task" to "Bug Report".Mar 1 2019, 11:36 PM